孙海军 > Shipwright-2.4.36 > Shipwright::Script::Requires

Download:
Shipwright-2.4.36.tar.gz

Dependencies

Annotate this POD

CPAN RT

Open  0
View/Report Bugs
Source   Latest Release: Shipwright-2.4.39

NAME ^

Shipwright::Script::Requires - list CPAN modules the source depends on

SYNOPSIS ^

 requires cpan:Jifty

OPTIONS ^

 --version                      : specify the source's version
 --skip                         : specify a list of modules/dist names of
                                  which we don't want to show
 --skip-recommends              : specify a list of modules/dist names of
                                  which recommends we don't want to show
 --skip-all-recommends          : skip all the recommends to show
 --min-perl-version             : minimal perl version (default is the same as
                                  the one which runs this command)
 --include-dual-lifed           : include modules which live both in the perl core 
                                  and on CPAN
 --as-graph                     : output a graph source suitable for rendering
                                  by dot (http://graphviz.org) 

DESCRIPTION ^

The requires command only show the requirements of a source, it doesn't create or import at all.

GLOBAL OPTIONS ^

 -r [--repository] REPOSITORY   : specify the repository uri of our shipyard
 -l [--log-level] LOGLEVEL      : specify the log level
                                  (info, debug, warn, error, or fatal)
 --log-file FILENAME            : specify the log file

AUTHORS ^

sunnavy <sunnavy@bestpractical.com>

LICENCE AND COPYRIGHT ^

Shipwright is Copyright 2007-2012 Best Practical Solutions, LLC.

This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself.

syntax highlighting: